%{?nodejs_find_provides_and_requires}

%global packagename ebnf-parser
%global enable_tests 0
%global bootstrap 1

Name:		nodejs-ebnf-parser
Version:	0.1.10
Release:	%mkrel 5
Summary:	A parser for BNF and EBNF grammars used by jison
Group:          Development/Java
License:	MIT
URL:		https://github.com/zaach/ebnf-parser.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
Source1:	LICENSE-MIT.txt
# upstream license file requeset at https://github.com/zaach/ebnf-parser/issues/9

BuildArch:	noarch

BuildRequires:	nodejs-packaging

%if !0%{?bootstrap}
BuildRequires:	npm(jison)
%endif

%if 0%{?enable_tests}
BuildRequires:	npm(jison)
BuildRequires:	npm(lex-parser)
%endif

Requires:	nodejs

%description
A parser for BNF and EBNF grammars used by jison


%prep
%setup -q -n package
cp -p %{SOURCE1} .
%nodejs_fixdep --dev -r lex-parser
%nodejs_fixdep lex-parser '0.1.x'


%build
%if !0%{?bootstrap}
%{_bindir}/jison bnf.y bnf.l
mv bnf.js parser.js
%{_bindir}/jison ebnf.y
mv ebnf.js transform-parser.js
%endif

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} tests/all-tests.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE-MIT.txt
%{nodejs_sitelib}/%{packagename}



%changelog
* Sat Jul 04 2020 joequant <joequant> 0.1.10-5.mga8
+ Revision: 1602013
- redo deps

* Wed Feb 12 2020 umeabot <umeabot> 0.1.10-4.mga8
+ Revision: 1492509
- Mageia 8 Mass Rebuild
+ pterjan <pterjan>
- Drop ExclusiveArch preventing building this noarch package on aarch64 machines

* Wed Sep 19 2018 umeabot <umeabot> 0.1.10-3.mga7
+ Revision: 1264950
- Mageia 7 Mass Rebuild

* Wed Sep 28 2016 neoclust <neoclust> 0.1.10-2.mga6
+ Revision: 1057413
- imported package nodejs-ebnf-parser

